Subject: Re: [PATCH v2 1/2] powerpc/ps3: Change updateboltedpp panic to info

From: Michael Ellerman <[email-masked]>
Date: Fri, 10 Feb 2023 11:51:38 +1100

Geoff Levand <[email-masked]> writes:
> On 1/16/23 23:26, Christophe Leroy wrote:
>> Le 16/01/2023 à 21:08, Geoff Levand a écrit :
>>>
>>> As mentioned, I'd really like to keep PS3 included in ppc64_defconfig.  My
>>> original patch that basically just ignores the call to
>>> mmu_hash_ops.updateboltedpp allows that, and I haven't experienced any problems
>>> with it yet.
>> 
>> When you say you have not experienced any problems with it, do you mean 
>> that STRICT_RWX works for you ? When you select CONFIG_DEBUG_RODATA_TEST 
>> it tells you that it works ? Otherwise it looks incorrect to enable 
>> something that doesn't work.
>
> What I mean is that the system boots up, and works as expected.
> I have not tried with CONFIG_DEBUG_RODATA_TEST set.
>
>>> My preference would be to keep PS3 in ppc64_defconfig, and either apply my
>>> original patch, or I keep that patch in my ps3-linux repo on kernel.org. Then,
>>> if we end up adding runtime support for RWX I then fixup PS3 to use that.
>>>
>> 
>> In that case I see two solutions:
>> 1/ Implement updateboltedpp for PS3.
>
> I'm now looking into if this is possible.
>
>> 2/ Implement arch_parse_debug_rodata() to always set rodata_enabled = 
>> false on PS3, and update free_initmem() to only call mark_initmem_nx() 
>> when strict_kernel_rwx_enabled() returns true.
>
> OK, I'll consider this if I cannot get updateboltedp working.

I'll take this series as-is for 6.3, there's no point panicking.

Hopefully one of the above options can be implemented in future.

cheers